# Serialized Form

## Package org.jdesktop.application

### Class org.jdesktop.application.ApplicationAction

class ApplicationAction extends AbstractAction implements Serializable

#### Serialized Fields

##### actionMethod

    Method actionMethod

##### actionName

    String actionName

##### appAM

    ApplicationActionMap appAM

##### block

    Task.BlockingScope block

##### enabledNegated

    boolean enabledNegated

##### enabledProperty

    String enabledProperty

##### isEnabledMethod

    Method isEnabledMethod

##### isSelectedMethod

    Method isSelectedMethod

##### proxy

    Action proxy

##### proxyPCL

    PropertyChangeListener proxyPCL

##### proxySource

    Object proxySource

##### resourceMap

    ResourceMap resourceMap

##### selectedProperty

    String selectedProperty

##### setEnabledMethod

    Method setEnabledMethod

##### setSelectedMethod

    Method setSelectedMethod

##### taskService

    String taskService

### Class org.jdesktop.application.ApplicationActionMap

class ApplicationActionMap extends ActionMap implements Serializable

#### Serialized Fields

##### actionsClass

    Class actionsClass

##### actionsObject

    Object actionsObject

##### context

    ApplicationContext context

##### proxyActions

    List<ApplicationAction> proxyActions

##### resourceMap

    ResourceMap resourceMap

### Exception Class org.jdesktop.application.ResourceConverter.ResourceConverterException

class ResourceConverterException extends Exception implements Serializable

#### Serialized Fields

##### badString

    String badString

### Exception Class org.jdesktop.application.ResourceMap.InjectFieldException

class InjectFieldException extends RuntimeException implements Serializable

#### Serialized Fields

##### field

    Field field

##### key

    String key

##### target

    Object target

### Exception Class org.jdesktop.application.ResourceMap.LookupException

class LookupException extends RuntimeException implements Serializable

#### Serialized Fields

##### key

    String key

##### type

    Class type

### Exception Class org.jdesktop.application.ResourceMap.PropertyInjectionException

class PropertyInjectionException extends RuntimeException implements Serializable

#### Serialized Fields

##### component

    Component component

##### key

    String key

##### propertyName

    String propertyName

### Class org.jdesktop.application.TaskEvent

class TaskEvent extends EventObject implements Serializable

#### Serialized Fields

##### value

    T value